Index: plugins/pings/_admin.php
===================================================================
--- plugins/pings/_admin.php	(revision 2815)
+++ plugins/pings/_admin.php	(revision 2820)
@@ -11,7 +11,4 @@
 # -- END LICENSE BLOCK -----------------------------------------
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-// Register admin URL base of plugin
-$core->adminurl->registercopy('admin.plugin.pings','admin.plugin',array('p' => 'pings'));
 
 $_menu['Blog']->addItem(__('Pings'),
Index: plugins/simpleMenu/_admin.php
===================================================================
--- plugins/simpleMenu/_admin.php	(revision 2815)
+++ plugins/simpleMenu/_admin.php	(revision 2820)
@@ -12,7 +12,4 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-// Register admin URL base of plugin
-$core->adminurl->registercopy('admin.plugin.simplemenu','admin.plugin',array('p' => 'simpleMenu'));
-
 $core->addBehavior('adminDashboardIcons','simpleMenu_dashboard');
 $core->addBehavior('adminDashboardFavorites','simpleMenu_dashboard_favs');
@@ -20,5 +17,5 @@
 {
 	$icons['simpleMenu'] = new ArrayObject(array(__('Simple menu'),
-		$core->adminurl->get('admin.plugin.simplemenu'),
+		$core->adminurl->get('admin.plugin.simpleMenu'),
 		$core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon.png'))));
 }
@@ -27,5 +24,5 @@
 	$favs->register('simpleMenu', array(
 		'title' => __('Simple menu'),
-		'url' => $core->adminurl->get('admin.plugin.simplemenu'),
+		'url' => $core->adminurl->get('admin.plugin.simpleMenu'),
 		'small-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon-small.png')),
 		'large-icon' => $core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon.png')),
@@ -35,7 +32,7 @@
 
 $_menu['Blog']->addItem(__('Simple menu'),
-	$core->adminurl->get('admin.plugin.simplemenu'),
+	$core->adminurl->get('admin.plugin.simpleMenu'),
 	$core->adminurl->decode('load.plugin.file',array('pf' => 'simpleMenu/icon-small.png')),
-    preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.simplemenu')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
+    preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.simpleMenu')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
     $core->auth->check('usage,contentadmin',$core->blog->id));
 
Index: plugins/simpleMenu/index.php
===================================================================
--- plugins/simpleMenu/index.php	(revision 2815)
+++ plugins/simpleMenu/index.php	(revision 2820)
@@ -17,5 +17,5 @@
 
 # Url de base
-$p_url = $core->adminurl->get('admin.plugin.simplemenu');
+$p_url = $core->adminurl->get('admin.plugin.simpleMenu');
 
 # Url du blog
Index: plugins/themeEditor/_admin.php
===================================================================
--- plugins/themeEditor/_admin.php	(revision 2815)
+++ plugins/themeEditor/_admin.php	(revision 2820)
@@ -11,7 +11,4 @@
 # -- END LICENSE BLOCK -----------------------------------------
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-// Register admin URL base of plugin
-$core->adminurl->registercopy('admin.plugin.theme.editor','admin.plugin',array('p' => 'themeEditor'));
 
 if (!isset($__resources['help']['themeEditor'])) {
@@ -29,5 +26,5 @@
 	{
 		if ($id != 'default' && $core->auth->isSuperAdmin()) {
-			return '<p><a href="'.$core->adminurl->get('admin.plugin.theme.editor').'" class="button">'.__('Edit theme files').'</a></p>';
+			return '<p><a href="'.$core->adminurl->get('admin.plugin.themeEditor').'" class="button">'.__('Edit theme files').'</a></p>';
 		}
 	}
Index: plugins/userPref/_admin.php
===================================================================
--- plugins/userPref/_admin.php	(revision 2815)
+++ plugins/userPref/_admin.php	(revision 2820)
@@ -12,10 +12,7 @@
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
 
-// Register admin URL base of plugin
-$core->adminurl->registercopy('admin.plugin.user.pref','admin.plugin',array('p' => 'userPref'));
-
 $_menu['System']->addItem('user:preferences',
-		$core->adminurl->get('admin.plugin.user.pref'),
+		$core->adminurl->get('admin.plugin.userPref'),
 		$core->adminurl->decode('load.plugin.file',array('pf' => 'userPref/icon.png')),
-		preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.user.pref')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
+		preg_match('/'.preg_quote($core->adminurl->get('admin.plugin.userPref')).'(&.*)?$/',$_SERVER['REQUEST_URI']),
 		$core->auth->isSuperAdmin());
Index: plugins/widgets/_admin.php
===================================================================
--- plugins/widgets/_admin.php	(revision 2815)
+++ plugins/widgets/_admin.php	(revision 2820)
@@ -11,7 +11,4 @@
 # -- END LICENSE BLOCK -----------------------------------------
 if (!defined('DC_CONTEXT_ADMIN')) { return; }
-
-// Register admin URL base of plugin
-$core->adminurl->registercopy('admin.plugin.widgets','admin.plugin',array('p' => 'widgets'));
 
 $core->addBehavior('adminDashboardFavorites','widgets_dashboard_favorites');