Index: inc/core/class.dc.auth.php
===================================================================
--- inc/core/class.dc.auth.php	(revision 3730)
+++ inc/core/class.dc.auth.php	(revision 3731)
@@ -1,23 +1,18 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_RC_PATH')) {return;}
-
 /**
- * @ingroup DC_CORE
- * @nosubgrouping
  * @brief Authentication and user credentials management
  *
  * dcAuth is a class used to handle everything related to user authentication
  * and credentials. Object is provided by dcCore $auth property.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
  */
+
+if (!defined('DC_RC_PATH')) {return;}
+
 class dcAuth
 {
Index: inc/core/class.dc.blog.php
===================================================================
--- inc/core/class.dc.blog.php	(revision 3730)
+++ inc/core/class.dc.blog.php	(revision 3731)
@@ -1,22 +1,17 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ *
+ * @brief Dotclear blog class.
+ *
+ * Dotclear blog class instance is provided by dcCore $blog property.
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@nosubgrouping
-@brief Dotclear blog class.
-
-Dotclear blog class instance is provided by dcCore $blog property.
- */
 class dcBlog
 {
Index: inc/core/class.dc.categories.php
===================================================================
--- inc/core/class.dc.categories.php	(revision 3730)
+++ inc/core/class.dc.categories.php	(revision 3731)
@@ -1,19 +1,18 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * nestedTree class is based on excellent work of Kuzma Feskov
+ * (http://php.russofile.ru/ru/authors/sql/nestedsets01/)
+ *
+ * One day we'll move nestedTree to Clearbricks.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ *
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
-
-# nestedTree class is based on excellent work of Kuzma Feskov
-# (http://php.russofile.ru/ru/authors/sql/nestedsets01/)
-#
-# One day we'll move nestedTree to Clearbricks.
 
 class dcCategories extends nestedTree
Index: inc/core/class.dc.core.php
===================================================================
--- inc/core/class.dc.core.php	(revision 3730)
+++ inc/core/class.dc.core.php	(revision 3731)
@@ -1,26 +1,16 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2015 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-
 /**
-@defgroup DC_CORE Dotclear Core Classes
+ * @brief Dotclear core class
+ *
+ * True to its name dcCore is the core of Dotclear. It handles everything related
+ * to blogs, database connection, plugins...
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
  */
 
-/**
-@ingroup DC_CORE
-@nosubgrouping
-@brief Dotclear core class
-
-True to its name dcCore is the core of Dotclear. It handles everything related
-to blogs, database connection, plugins...
- */
 class dcCore
 {
Index: inc/core/class.dc.error.php
===================================================================
--- inc/core/class.dc.error.php	(revision 3730)
+++ inc/core/class.dc.error.php	(revision 3731)
@@ -1,17 +1,4 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
-if (!defined('DC_RC_PATH')) {return;}
-
 /**
- * @ingroup DC_CORE
  * @brief Error class
  *
@@ -19,5 +6,14 @@
  * add an error in stack. In administration area, errors are automatically
  * displayed.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
  */
+
+if (!defined('DC_RC_PATH')) {return;}
+
 class dcError
 {
Index: inc/core/class.dc.log.php
===================================================================
--- inc/core/class.dc.log.php	(revision 3730)
+++ inc/core/class.dc.log.php	(revision 3731)
@@ -1,13 +1,11 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
Index: inc/core/class.dc.media.php
===================================================================
--- inc/core/class.dc.media.php	(revision 3730)
+++ inc/core/class.dc.media.php	(revision 3731)
@@ -1,21 +1,17 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Dotclear media manage
+ *
+ * This class handles Dotclear media items.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Dotclear media manage
-
-This class handles Dotclear media items.
- */
 class dcMedia extends filemanager
 {
Index: inc/core/class.dc.meta.php
===================================================================
--- inc/core/class.dc.meta.php	(revision 3730)
+++ inc/core/class.dc.meta.php	(revision 3731)
@@ -1,22 +1,17 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Dotclear metadata class.
+ *
+ * Dotclear metadata class instance is provided by dcCore $meta property.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@nosubgrouping
-@brief Dotclear metadata class.
-
-Dotclear metadata class instance is provided by dcCore $meta property.
- */
 class dcMeta
 {
Index: inc/core/class.dc.modules.php
===================================================================
--- inc/core/class.dc.modules.php	(revision 3730)
+++ inc/core/class.dc.modules.php	(revision 3731)
@@ -1,21 +1,17 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Modules handler
+ *
+ * Provides an object to handle modules (themes or plugins).
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Modules handler
-
-Provides an object to handle modules (themes or plugins).
- */
 class dcModules
 {
Index: inc/core/class.dc.namespace.php
===================================================================
--- inc/core/class.dc.namespace.php	(revision 3730)
+++ inc/core/class.dc.namespace.php	(revision 3731)
@@ -1,20 +1,15 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Blog namespace for settings handler
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Blog namespace for settings handler
-
- */
 class dcNamespace
 {
Index: inc/core/class.dc.plugins.php
===================================================================
--- inc/core/class.dc.plugins.php	(revision 3730)
+++ inc/core/class.dc.plugins.php	(revision 3731)
@@ -1,24 +1,23 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Plugins specific handler
+ *
+ * An instance of this class is provided by dcCore $plugins property
+ * and used for plugins.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ *
+ * @since 2.6
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
 /**
 @ingroup DC_CORE
-@brief Plugins specific handler
-@since 2.6
 
-An instance of this class is provided by dcCore $plugins property
-and used for plugins.
-
-This class extends dcModules.
  */
 class dcPlugins extends dcModules
Index: inc/core/class.dc.postmedia.php
===================================================================
--- inc/core/class.dc.postmedia.php	(revision 3730)
+++ inc/core/class.dc.postmedia.php	(revision 3731)
@@ -1,13 +1,11 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
Index: inc/core/class.dc.prefs.php
===================================================================
--- inc/core/class.dc.prefs.php	(revision 3730)
+++ inc/core/class.dc.prefs.php	(revision 3731)
@@ -1,23 +1,19 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief User prefs handler
+ *
+ * dcPrefs provides user preferences management. This class instance exists as
+ * dcAuth $prefs property. You should create a new prefs instance when
+ * updating another user prefs.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief User prefs handler
-
-dcPrefs provides user preferences management. This class instance exists as
-dcAuth $prefs property. You should create a new prefs instance when
-updating another user prefs.
- */
 class dcPrefs
 {
Index: inc/core/class.dc.rest.php
===================================================================
--- inc/core/class.dc.rest.php	(revision 3730)
+++ inc/core/class.dc.rest.php	(revision 3731)
@@ -1,22 +1,18 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Dotclear REST server extension
+ *
+ * This class extends restServer to handle dcCore instance in each rest method call.
+ * Instance of this class is provided by dcCore $rest.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Dotclear REST server extension
-
-This class extends restServer to handle dcCore instance in each rest method call.
-Instance of this class is provided by dcCore $rest.
- */
 class dcRestServer extends restServer
 {
Index: inc/core/class.dc.rs.extensions.php
===================================================================
--- inc/core/class.dc.rs.extensions.php	(revision 3730)
+++ inc/core/class.dc.rs.extensions.php	(revision 3731)
@@ -1,25 +1,21 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Dotclear post record helpers
+ *
+ * This class adds new methods to database post results.
+ * You can call them on every record comming from dcBlog::getPosts and similar
+ * methods.
+ *
+ * @warning You should not give the first argument (usualy $rs) of every described function.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Dotclear post record helpers.
-
-This class adds new methods to database post results.
-You can call them on every record comming from dcBlog::getPosts and similar
-methods.
-
-@warning You should not give the first argument (usualy $rs) of every described
-function.
- */
 class rsExtPost
 {
Index: inc/core/class.dc.settings.php
===================================================================
--- inc/core/class.dc.settings.php	(revision 3730)
+++ inc/core/class.dc.settings.php	(revision 3731)
@@ -1,23 +1,19 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Blog settings handler
+ *
+ * dcSettings provides blog settings management. This class instance exists as
+ * dcBlog $settings property. You should create a new settings instance when
+ * updating another blog settings.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Blog settings handler
-
-dcSettings provides blog settings management. This class instance exists as
-dcBlog $settings property. You should create a new settings instance when
-updating another blog settings.
- */
 class dcSettings
 {
Index: inc/core/class.dc.store.parser.php
===================================================================
--- inc/core/class.dc.store.parser.php	(revision 3730)
+++ inc/core/class.dc.store.parser.php	(revision 3731)
@@ -1,22 +1,19 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Repository modules XML feed parser
+ *
+ * Provides an object to parse XML feed of modules from a repository.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ *
+ * @since 2.6
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Repository modules XML feed parser
-@since 2.6
-
-Provides an object to parse XML feed of modules from a repository.
- */
 class dcStoreParser
 {
Index: inc/core/class.dc.store.php
===================================================================
--- inc/core/class.dc.store.php	(revision 3730)
+++ inc/core/class.dc.store.php	(revision 3731)
@@ -1,22 +1,19 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Repository modules XML feed reader
+ *
+ * Provides an object to parse XML feed of modules from repository.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ *
+ * @since 2.6
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Repository modules XML feed reader
-@since 2.6
-
-Provides an object to parse XML feed of modules from repository.
- */
 class dcStore
 {
Index: inc/core/class.dc.store.reader.php
===================================================================
--- inc/core/class.dc.store.reader.php	(revision 3730)
+++ inc/core/class.dc.store.reader.php	(revision 3731)
@@ -1,23 +1,19 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Repository modules XML feed reader
+ *
+ * Provides an object to parse XML feed of modules from repository.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ *
+ * @since 2.6
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Repository modules XML feed reader
-@since 2.6
-
-Provides an object to parse XML feed of modules from repository.
-This class extends clearbricks netHttp class.
- */
 class dcStoreReader extends netHttp
 {
Index: inc/core/class.dc.themes.php
===================================================================
--- inc/core/class.dc.themes.php	(revision 3730)
+++ inc/core/class.dc.themes.php	(revision 3731)
@@ -1,24 +1,18 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Themes specific handler
+ *
+ * Provides an specialized object to handle themes. An instance of this
+ * class should be created when needed.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Themes specific handler
-
-Provides an specialized object to handle themes. An instance of this
-class should be created when needed.
-
-This class extends dcModules.
- */
 class dcThemes extends dcModules
 {
Index: inc/core/class.dc.trackback.php
===================================================================
--- inc/core/class.dc.trackback.php	(revision 3730)
+++ inc/core/class.dc.trackback.php	(revision 3731)
@@ -1,21 +1,18 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Trackbacks/Pingbacks sender and server
+ *
+ * Sends and receives trackbacks/pingbacks.
+ * Also handles trackbacks/pingbacks auto discovery.
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Trackbacks/Pingbacks sender and server
-
-Sends and receives trackbacks/pingbacks. Also handles trackbacks/pingbacks auto discovery.
- */
 class dcTrackback
 {
Index: inc/core/class.dc.update.php
===================================================================
--- inc/core/class.dc.update.php	(revision 3730)
+++ inc/core/class.dc.update.php	(revision 3731)
@@ -1,13 +1,11 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
Index: inc/core/class.dc.utils.php
===================================================================
--- inc/core/class.dc.utils.php	(revision 3730)
+++ inc/core/class.dc.utils.php	(revision 3731)
@@ -1,21 +1,15 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief Dotclear helper methods
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief Dotclear helper methods
-
-Provides some Dotclear helpers
- */
 class dcUtils
 {
Index: inc/core/class.dc.workspace.php
===================================================================
--- inc/core/class.dc.workspace.php	(revision 3730)
+++ inc/core/class.dc.workspace.php	(revision 3731)
@@ -1,20 +1,15 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @brief User workspace for preferences handler
+ *
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 
-/**
-@ingroup DC_CORE
-@brief User workspace for preferences handler
-
- */
 class dcWorkspace
 {
Index: inc/core/class.dc.xmlrpc.php
===================================================================
--- inc/core/class.dc.xmlrpc.php	(revision 3730)
+++ inc/core/class.dc.xmlrpc.php	(revision 3731)
@@ -1,13 +1,11 @@
 <?php
-# -- BEGIN LICENSE BLOCK ---------------------------------------
-#
-# This file is part of Dotclear 2.
-#
-# Copyright (c) 2003-2013 Olivier Meunier & Association Dotclear
-# Licensed under the GPL version 2.0 license.
-# See LICENSE file or
-# http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
-#
-# -- END LICENSE BLOCK -----------------------------------------
+/**
+ * @package Dotclear
+ * @subpackage Core
+ *
+ * @copyright Olivier Meunier & Association Dotclear
+ * @copyright GPL-2.0-only
+ */
+
 if (!defined('DC_RC_PATH')) {return;}
 