Index: plugins/widgets/dragdrop.js
===================================================================
--- plugins/widgets/dragdrop.js	(revision 1651)
+++ plugins/widgets/dragdrop.js	(revision 1657)
@@ -2,8 +2,7 @@
 	
 	// clean
-	$('.js-remove').remove();
-	$('.js-hide').hide();
-	$('.widgetSettings').hide();
-	$('.widgets, .sortable-delete').addClass('drag');
+	$('.remove-if-drag').remove();
+	$('.hidden-if-drag').hide();
+	$('.widgets, .sortable-delete').addClass('if-drag');
 	
 	// move
@@ -15,4 +14,5 @@
 		handle: ".widget-name",
 		placeholder: "ui-sortable-placeholder",
+		items: "li:not(.sortable-delete-placeholder)",
 		connectWith: ".connected, .sortable-delete",
 		start: function( event, ui ) {
Index: plugins/widgets/index.php
===================================================================
--- plugins/widgets/index.php	(revision 1656)
+++ plugins/widgets/index.php	(revision 1657)
@@ -201,9 +201,9 @@
 	echo
 	'<li>'.form::hidden(array('w[void][0][id]'),html::escapeHTML($w->id())).
-	'<p class="widget-name">'.form::field(array('w[void][0][order]'),2,3,0,'js-hide','',0,'title="'.__('order').'"').' '.$w->name().
+	'<p class="widget-name">'.form::field(array('w[void][0][order]'),2,3,0,'hidden-if-drag','',0,'title="'.__('order').'"').' '.$w->name().
 	($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</p>'.
-	'<p class="js-remove"><label class="classic">'.__('Append to:').'</label> '.
+	'<p class="remove-if-drag"><label class="classic">'.__('Append to:').'</label> '.
 	form::combo(array('addw['.$w->id().']'),$append_combo).'</p>'.
-	'<div class="widgetSettings">'.$w->formSettings('w[void][0]',$j).'</div>'.
+	'<div class="widgetSettings hidden-if-drag">'.$w->formSettings('w[void][0]',$j).'</div>'.
 	'</li>';
 	$j++;
@@ -213,5 +213,5 @@
 '</ul>'.
 $core->formNonce().
-'<p class="js-remove"><input type="submit" name="append" value="'.__('Add widgets to sidebars').'" /></p>'.
+'<p class="remove-if-drag"><input type="submit" name="append" value="'.__('Add widgets to sidebars').'" /></p>'.
 '</form>';
 
@@ -222,5 +222,5 @@
 sidebarWidgets('dndnav',__('Navigation sidebar'),$widgets_nav,'nav',$__default_widgets['nav'],$j).
 '</div>'.
-'<ul class="sortable-delete"></ul>';
+'<ul class="sortable-delete"><li class="sortable-delete-placeholder">'.__('Drag here to delete').'</li></ul>';
 
 # Extra sidebar
@@ -229,5 +229,5 @@
 sidebarWidgets('dndextra',__('Extra sidebar'),$widgets_extra,'extra',$__default_widgets['extra'],$j).
 '</div>'.
-'<ul class="sortable-delete"></ul>';
+'<ul class="sortable-delete"><li class="sortable-delete-placeholder">'.__('Drag here to delete').'</li></ul>';
 
 # Custom sidebar
@@ -236,5 +236,5 @@
 sidebarWidgets('dndcustom',__('Custom sidebar'),$widgets_custom,'custom',$__default_widgets['custom'],$j).
 '</div>'.
-'<ul class="sortable-delete"></ul>';
+'<ul class="sortable-delete"><li class="sortable-delete-placeholder">'.__('Drag here to delete').'</li></ul>';
 
 echo
@@ -337,10 +337,10 @@
 		$res .=
 		'<li>'.form::hidden(array($iname.'[id]'),html::escapeHTML($w->id())).
-		'<p class="widget-name">'.form::field(array($iname.'[order]'),2,3,(string) $i,'js-hide','',0,'title="'.__('order').'"').' '.$w->name().
+		'<p class="widget-name">'.form::field(array($iname.'[order]'),2,3,(string) $i,'hidden-if-drag','',0,'title="'.__('order').'"').' '.$w->name().
 		($w->desc() != '' ? ' <span class="form-note">'.__($w->desc()).'</span>' : '').'</p>'.
-		'<p class="removeWidget js-remove"><label class="classic">'.
+		'<p class="removeWidget remove-if-drag"><label class="classic">'.
 		form::checkbox(array($iname.'[_rem]'),'1',0).' '.__('Remove widget').
 		'</label></p>'.
-		'<div class="widgetSettings">'.$w->formSettings($iname,$j).'</div>'.
+		'<div class="widgetSettings hidden-if-drag">'.$w->formSettings($iname,$j).'</div>'.
 		'</li>';
 		
Index: plugins/widgets/style.css
===================================================================
--- plugins/widgets/style.css	(revision 1651)
+++ plugins/widgets/style.css	(revision 1657)
@@ -42,7 +42,8 @@
 	margin-bottom: 2em;
 }
-.widgets.fieldset.drag {
+.widgets.fieldset.if-drag {
 	margin-bottom: 0;
 	border-radius: 6px 6px 0 0;
+    border-bottom: 1px dashed #FF0000;
 }
 #widgets, #dndnav, #dndextra, #dndcustom {
@@ -62,4 +63,11 @@
 .sortable-delete > li {
 	margin-bottom: 3px;
+}
+.sortable-delete li.sortable-delete-placeholder {
+    border: 0 none;
+    color: #666666;
+    font-size: 1rem;
+    font-weight: normal;
+    text-align: center;
 }
 
@@ -109,11 +117,8 @@
 }
 
-.sortable-delete.drag {
-    background: url("style/JsToolbar/bt_clean.png") no-repeat scroll 2px 5px #FFBABA;
-    border-color: #999999;
+.sortable-delete.if-drag {
+    border: 1px solid #999999;
+    border-top: 0;
     border-radius: 0 0 6px 6px;
-    border-right: 1px solid #999999;
-    border-style: solid;
-    border-width: 0 1px 1px;
     color: #000000;
     font-weight: bold;
@@ -121,5 +126,5 @@
     margin: 0 0 2em;
     min-height: 25px;
-    padding: 4px 4px 0 24px;
+    padding: 4px;
     display: block;
 }